# XMLException Class Reference

Inheritance diagram for XMLException:

List of all members.

## Public Member Functions

virtual | ~XMLException ()
virtual const XMLCh * | getType () const =0
XMLExcepts::Codes | getCode () const
const XMLCh * | getMessage () const
const char * | getSrcFile () const
XMLFileLoc | getSrcLine () const
XMLErrorReporter::ErrTypes | getErrorType () const
void | setPosition (const char *const file, const XMLFileLoc line)
| XMLException ()
| XMLException (const char *const srcFile, const XMLFileLoc srcLine, MemoryManager *const memoryManager=0)
| XMLException (const XMLException &toCopy)
XMLException & | operator= (const XMLException &toAssign)

## Protected Member Functions

void | loadExceptText (const XMLExcepts::Codes toLoad)
void | loadExceptText (const XMLExcepts::Codes toLoad, const XMLCh *const text1, const XMLCh *const text2=0, const XMLCh *const text3=0, const XMLCh *const text4=0)
void | loadExceptText (const XMLExcepts::Codes toLoad, const char *const text1, const char *const text2=0, const char *const text3=0, const char *const text4=0)

## Protected Attributes

MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

virtual XMLException::~XMLException | ( |  | ) | `[virtual]`

XMLException::XMLException | ( |  | ) |

XMLException::XMLException | ( | const char *const | srcFile,
|  | const XMLFileLoc | srcLine,
|  | MemoryManager *const | memoryManager = `0` |
| ) |  |  |

XMLException::XMLException | ( | const XMLException & | toCopy | ) |

## Member Function Documentation

virtual const XMLCh* XMLException::getType | ( |  | ) | const`[pure virtual]`

XMLExcepts::Codes XMLException::getCode | ( |  | ) | const

const XMLCh * XMLException::getMessage | ( |  | ) | const

const char * XMLException::getSrcFile | ( |  | ) | const

XMLFileLoc XMLException::getSrcLine | ( |  | ) | const

XMLErrorReporter::ErrTypes XMLException::getErrorType | ( |  | ) | const

References XMLErrorReporter::ErrType_Error, XMLErrorReporter::ErrType_Fatal, XMLErrorReporter::ErrType_Warning, and XMLErrorReporter::ErrTypes_Unknown.

void XMLException::setPosition | ( | const char *const | file,
|  | const XMLFileLoc | line |
| ) |  |  |

XMLException& XMLException::operator= | ( | const XMLException & | toAssign | ) |

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad | ) | `[protected]`

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const XMLCh *const | text1,
|  | const XMLCh *const | text2 = `0`,
|  | const XMLCh *const | text3 = `0`,
|  | const XMLCh *const | text4 = `0` |
| ) |  |  | `[protected]`

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const char *const | text1,
|  | const char *const | text2 = `0`,
|  | const char *const | text3 = `0`,
|  | const char *const | text4 = `0` |
| ) |  |  | `[protected]`

## Member Data Documentation

MemoryManager* XMLException::fMemoryManager`[protected]`

The documentation for this class was generated from the following file:

- XMLException.hpp